Bug 1269545 - Review Request: python-gnocchiclient - Gnocchi CLI
Review Request: python-gnocchiclient - Gnocchi CLI
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS 1261150 1282939
  Show dependency treegraph
 
Reported: 2015-10-07 10:20 EDT by Pradeep Kilambi
Modified: 2015-11-17 17:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 15:38:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Haïkel Guémar 2015-10-13 11:27:51 EDT
* You can drop this line, it's now not needed anymore:
sed -i 's/oslosphinx/oslo.sphinx/' doc/source/conf.py 
* %license LICENSE
* You should set a min version on python-six (1.9.0)
* Drop Group tags

needinfo me when it's done.
Comment 2 Pradeep Kilambi 2015-10-13 14:49:54 EDT
Thanks Haikel. fixed the above suggestions. please review.
Comment 4 Haïkel Guémar 2015-11-13 05:36:44 EST
Just drop the two first lines as we don't need them before importing the package, also the Group tag which is not used anymore.

I hereby approve this package into Fedora Packages Collection, please submit a SCM request.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 21 files have unknown license. Detailed output of
     licensecheck in /home/haikel/1269545-python-
     gnocchiclient/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     gnocchiclient-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-gnocchiclient-2.0.0-1.fc24.noarch.rpm
          python-gnocchiclient-doc-2.0.0-1.fc24.noarch.rpm
          python-gnocchiclient-2.0.0-1.fc24.src.rpm
python-gnocchiclient.noarch: W: incoherent-version-in-changelog 2.0.0 ['2.0.0-1.fc24', '2.0.0-1']
python-gnocchiclient.noarch: W: no-manual-page-for-binary gnocchi
python-gnocchiclient-doc.noarch: W: file-not-utf8 /usr/share/doc/python-gnocchiclient-doc/html/objects.inv
python-gnocchiclient.src: W: strange-permission gnocchiclient-2.0.0.tar.gz 640
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python-gnocchiclient-doc.noarch: W: file-not-utf8 /usr/share/doc/python-gnocchiclient-doc/html/objects.inv
python-gnocchiclient.noarch: W: incoherent-version-in-changelog 2.0.0 ['2.0.0-1.fc24', '2.0.0-1']
python-gnocchiclient.noarch: W: no-manual-page-for-binary gnocchi
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
python-gnocchiclient-doc (rpmlib, GLIBC filtered):

python-gnocchiclient (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-babel
    python-cliff
    python-futurist
    python-keystoneauth1
    python-oslo-i18n
    python-oslo-serialization
    python-oslo-utils
    python-six



Provides
--------
python-gnocchiclient-doc:
    python-gnocchiclient-doc

python-gnocchiclient:
    python-gnocchiclient



Source checksums
----------------
https://pypi.python.org/packages/source/g/gnocchiclient/gnocchiclient-2.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 1f810cd455df2b20bfe8c00a614281a95bb72da9be90fbf38db3bfc0a9a2885d
  CHECKSUM(SHA256) upstream package : 1f810cd455df2b20bfe8c00a614281a95bb72da9be90fbf38db3bfc0a9a2885d


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1269545 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Pradeep Kilambi 2015-11-13 11:01:43 EST
New Package SCM Request
=======================
Package Name:           python-gnocchiclient
Short Description:      Openstack Gnocchi cli
Upstream URL:           https://pypi.python.org/packages/source/g/gnocchiclient/gnocchiclient-2.0.0.tar.gz
Owners:                 pkilambi
Branches:               f22 f23 f24 epel7
InitialCC:              pkilambi
Comment 6 Gwyn Ciesla 2015-11-13 16:11:16 EST
This SCM request method has been deprecated. Please see https://fedoraproject.org/wiki/PackageDB_admin_requests.
Comment 7 Gwyn Ciesla 2015-11-13 17:38:05 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-gnocchiclient

Note You need to log in before you can comment on or make changes to this bug.